namespace Properties.Mutable;

using System.Windows;

public class UseItem
{

    // Zmień na #if true by zobaczyć błąd kompilatora
#if false
    public static void TryAndFailToModifySubproperty()
    {
        var item = new Item();
        item.Location.X = 123;  // Tego nie uda się skompilować
    }
#endif

    public static void CompilesButObviouslyNotAGoodIdea()
    {
        var item = new Item();
        Point location = item.Location;
        location.X = 123;
    }
}
